$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.15.0-RC.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.15.0-RC.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '8948C8B0DE0B4B7B2FB26D87EC7DA4CAAED9A5BECDFDEF5587A38A915F27CA4D'
  checksumType = 'sha256'
  checksum64 = '8948C8B0DE0B4B7B2FB26D87EC7DA4CAAED9A5BECDFDEF5587A38A915F27CA4D'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.15.0-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
